JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TextLayout::Run Class Reference
juce_graphics » fonts

A sequence of glyphs with a common font and colour. More...

`#include <juce_TextLayout.h>`

## Public Member Functions
| Run ()=default
| Run (Range< int > stringRange, int numGlyphsToPreallocate)
Range< float > | getRunBoundsX () const noexcept
| Returns the X position range which contains all the glyphs in this run.

## Public Attributes
Font | font
| The run's font.
Colour | colour { 0xff000000 }
| The run's colour.
Array< Glyph > | glyphs
| The glyphs in this run.
Range< int > | stringRange
| The character range that this run represents in the original string that was used to create it.

## Detailed Description

A sequence of glyphs with a common font and colour.

## Constructor & Destructor Documentation

## ◆ Run() [1/2]

TextLayout::Run::Run | ( |  | ) |
| default

## ◆ Run() [2/2]

TextLayout::Run::Run | ( | Range< int > | stringRange,
|  | int | numGlyphsToPreallocate )

## Member Function Documentation

## ◆ getRunBoundsX()

Range< float > TextLayout::Run::getRunBoundsX | ( |  | ) | const
| noexcept

Returns the X position range which contains all the glyphs in this run.

## Member Data Documentation

## ◆ font

Font TextLayout::Run::font

The run's font.

## ◆ colour

Colour TextLayout::Run::colour { 0xff000000 }

The run's colour.

## ◆ glyphs

Array<Glyph> TextLayout::Run::glyphs

The glyphs in this run.

## ◆ stringRange

Range<int> TextLayout::Run::stringRange

The character range that this run represents in the original string that was used to create it.

The documentation for this class was generated from the following file:

- juce_TextLayout.h